Skip to content

Update an existing site periomeasure

Request

Security
bearer
Path
sitePeriomeasureIdnumberrequired
Bodyapplication/jsonrequired
siteIdnumberrequired

The ID of the site associated with this periomeasure

Example:1
practitionerIdnumberrequired

The ID of the FHIR Practitioner associated with this periomeasure

Example:1
patientIdnumberrequired

The ID of the FHIR Patiend associated with this periomeasure

Example:1
perioMeasureNumnumberrequired

Periomeasure number

Example:1
perioExamNumnumberrequired

Periomeasure exam number

Example:1
sequenceTypenumberrequired

Enum: PerioSequenceType. Possible values are:

  • Mobility: 0
  • Furcation: 1
  • GingMargin: 2 (AKA recession)
  • MGJ: 3 (MucoGingivalJunction - the division between attached and unattached mucosa)
  • Probing: 4
  • SkipTooth: 5 (For this type, set 'surf' to none, and 'toothValue' to 1)
  • Bleeding: 6 (Sum of flags for bleeding(1), suppuration(2), plaque(4), and calculus(8))
  • CAL: 7 (This type is never saved to the DB; it is always calculated on the fly)
Enum:01234567
Example:4
intToothnumberrequired

Valid values are 1-32. Every measurement must be associated with a tooth.

Example:1
toothValuenumberrequired

This is used when the measurement does not apply to a surface(mobility and skiptooth). Valid values for all surfaces are 0 through 19, or -1 to represent no measurement taken.

Example:0
mBvaluenumberrequired

1 represents no measurement. Values of 100+ represent negative values (only used for Gingival Margins). e.g. To use a value of 105, subtract it from 100. (100 - 105 = -5)

Example:1
bvaluenumberrequired

Buccal value

Example:0
dBvaluenumberrequired

Distal-buccal value

Example:0
mLvaluenumberrequired

Mesial-lingual value

Example:0
dLvaluenumberrequired

Distal-lingual value

Example:0
lvaluenumberrequired

lValue

Example:0
secDateTEntrystring, (date-time)required

Timestamp automatically generated and user not allowed to change. The actual date of entry.

Example:"2021-08-01T00:00:00.000Z"
secDateTEditstring, (date-time)required

Timestamp for last edit

Example:"2021-08-01T00:00:00.000Z"
idnumberrequired

The ID of the site periomeasure to be updated

Example:100
createdAtstringrequired

The date and time the site periomeasure was created

Example:"2021-08-01T00:00:00.000Z"
updatedAtstringrequired

The date and time the site periomeasure was last updated

Example:"2021-08-01T00:00:00.000Z"
curl -i -X PUT \
  'https://docs.axiomera.com/_mock/apis/heydonto/openapi/site/{siteId}/periomeasure/{sitePeriomeasureId}' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "siteId": 1,
    "practitionerId": 1,
    "patientId": 1,
    "perioMeasureNum": 1,
    "perioExamNum": 1,
    "sequenceType": 4,
    "intTooth": 1,
    "toothValue": 0,
    "mBvalue": 1,
    "bvalue": 0,
    "dBvalue": 0,
    "mLvalue": 0,
    "dLvalue": 0,
    "lvalue": 0,
    "secDateTEntry": "2021-08-01T00:00:00.000Z",
    "secDateTEdit": "2021-08-01T00:00:00.000Z",
    "id": 100,
    "createdAt": "2021-08-01T00:00:00.000Z",
    "updatedAt": "2021-08-01T00:00:00.000Z"
  }'

Responses

Site Periomeasure updated successfully.

Bodyapplication/json
siteIdnumberrequired

The ID of the site associated with this periomeasure

Example:1
practitionerIdnumberrequired

The ID of the FHIR Practitioner associated with this periomeasure

Example:1
patientIdnumberrequired

The ID of the FHIR Patiend associated with this periomeasure

Example:1
perioMeasureNumnumberrequired

Periomeasure number

Example:1
perioExamNumnumberrequired

Periomeasure exam number

Example:1
sequenceTypenumberrequired

Enum: PerioSequenceType. Possible values are:

  • Mobility: 0
  • Furcation: 1
  • GingMargin: 2 (AKA recession)
  • MGJ: 3 (MucoGingivalJunction - the division between attached and unattached mucosa)
  • Probing: 4
  • SkipTooth: 5 (For this type, set 'surf' to none, and 'toothValue' to 1)
  • Bleeding: 6 (Sum of flags for bleeding(1), suppuration(2), plaque(4), and calculus(8))
  • CAL: 7 (This type is never saved to the DB; it is always calculated on the fly)
Enum:01234567
Example:4
intToothnumberrequired

Valid values are 1-32. Every measurement must be associated with a tooth.

Example:1
toothValuenumberrequired

This is used when the measurement does not apply to a surface(mobility and skiptooth). Valid values for all surfaces are 0 through 19, or -1 to represent no measurement taken.

Example:0
mBvaluenumberrequired

1 represents no measurement. Values of 100+ represent negative values (only used for Gingival Margins). e.g. To use a value of 105, subtract it from 100. (100 - 105 = -5)

Example:1
bvaluenumberrequired

Buccal value

Example:0
dBvaluenumberrequired

Distal-buccal value

Example:0
mLvaluenumberrequired

Mesial-lingual value

Example:0
dLvaluenumberrequired

Distal-lingual value

Example:0
lvaluenumberrequired

lValue

Example:0
secDateTEntrystring, (date-time)required

Timestamp automatically generated and user not allowed to change. The actual date of entry.

Example:"2021-08-01T00:00:00.000Z"
secDateTEditstring, (date-time)required

Timestamp for last edit

Example:"2021-08-01T00:00:00.000Z"
idnumberrequired

The ID of the site periomeasure to be updated

Example:100
createdAtstringrequired

The date and time the site periomeasure was created

Example:"2021-08-01T00:00:00.000Z"
updatedAtstringrequired

The date and time the site periomeasure was last updated

Example:"2021-08-01T00:00:00.000Z"
Response
{ "siteId": 1, "practitionerId": 1, "patientId": 1, "perioMeasureNum": 1, "perioExamNum": 1, "sequenceType": 4, "intTooth": 1, "toothValue": 0, "mBvalue": 1, "bvalue": 0, "dBvalue": 0, "mLvalue": 0, "dLvalue": 0, "lvalue": 0, "secDateTEntry": "2021-08-01T00:00:00.000Z", "secDateTEdit": "2021-08-01T00:00:00.000Z", "id": 100, "createdAt": "2021-08-01T00:00:00.000Z", "updatedAt": "2021-08-01T00:00:00.000Z" }